
Redmine - Defect #41918

Replaces warning icon with SVG in watcher list and workflow warnings

2024-12-02 06:06 - Takenori TAKAKI

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.2   

Resolution: Fixed Affected version:  

Description

The warning icon shown in the watcher list for users who cannot view the issue is still an old image.

I propose a patch to replace it with an SVG icon.

diff --git a/app/helpers/watchers_helper.rb b/app/helpers/watchers_helper.rb

index f7763e41b9..12788db66f 100644

--- a/app/helpers/watchers_helper.rb

+++ b/app/helpers/watchers_helper.rb

@@ -52,7 +52,7 @@ module WatchersHelper

       s << avatar(user, :size => "16").to_s

       s << link_to_principal(user, class: user.class.to_s.downcase)

       if object.respond_to?(:visible?) && user.is_a?(User) && !object.visible?(user)

-        s << content_tag('span', l(:notice_invalid_watcher), class: 'icon-only icon-warning', tit

le: l(:notice_invalid_watcher))

+        s << content_tag('span', sprite_icon('warning', l(:notice_invalid_watcher)), class: 'icon

-only icon-warning', title: l(:notice_invalid_watcher))

       end

       if remove_allowed

         url = {:controller => 'watchers',

The screenshots below show the before and after of applying the patch:  

Before After

clipboard-202412021338-2r

qqe.png 

clipboard-202412021338-uu

wec.png 

Related issues:

Related to Redmine - Defect #41952: Flash notice icons use the legacy icons Closed

Associated revisions

Revision 23388 - 2024-12-11 07:37 - Marius BĂLTEANU

Replaces warning icon with SVG in watcher list and workflow warnings (#41918).

Patch by Takenori TAKAKI (user:takenory).

Revision 23389 - 2024-12-11 07:42 - Marius BĂLTEANU

Merge r23388 from trunk to 6.0-stable (#41918).

History

#1 - 2024-12-09 02:26 - Go MAEDA

Thank you for submitting the patch. However, the original yellow icons, which were more noticeable, have been replaced with blue line icons, making

them less prominent.

I believe it would be better if filled yellow icons could be displayed.

#2 - 2024-12-09 02:27 - Go MAEDA

- Related to Defect #41952: Flash notice icons use the legacy icons  added

#3 - 2024-12-09 02:28 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU
- Target version set to 6.0.3

#4 - 2024-12-10 14:55 - Takenori TAKAKI

I agree with the comment from Go Maeda (#note-1).

It seems that specifying the class attribute of the svg tag in application.css as follows will enable the color specification.

diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css

index a45f821b69..1ba7e54ad6 100644

--- a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -1763,7 +1763,7 @@ svg.icon-ok {

   stroke: #c61a1a

 }

-.icon-warning svg {

+.icon-warning svg.icon-svg {

   stroke: #e4bc4b;

 }

#5 - 2024-12-11 06:17 - Takenori TAKAKI

- File clipboard-202412111139-et5wc.png added

- File clipboard-202412111140-9xdwc.png added

- File clipboard-202412111150-fus2l.png added

- File clipboard-202412111150-jetwh.png added

- File clipboard-202412111156-oekkl.png added

- File clipboard-202412111157-1lzqb.png added

- File clipboard-202412111312-3ck6t.png added

- File clipboard-202412111316-8dkag.png added

I found that the Warning icon needs to be replaced for more than just the watcher list.

The replacements needed are as follows.

Watcher list  

Before After

clipboard-202412111139-et5wc.png clipboard-202412111140-9xdwc.png 

Issue Status List

Before:

 clipboard-202412111150-fus2l.png 

After:

 clipboard-202412111150-jetwh.png 

Tracker List

Before:

 clipboard-202412111156-oekkl.png 

After:

 clipboard-202412111157-1lzqb.png 

Issue Transition Warning  

Before After

clipboard-202412111316-8dkag.png clipboard-202412111312-3ck6t.png 

#6 - 2024-12-11 06:19 - Takenori TAKAKI

- File 0001-Add-css-class-specification-for-warning-svg-icon.patch added

- File 0002-Replace-warning-icon-in-watcher-list-with-SVG.patch added

- File 0003-Replace-warning-icon-in-issue_status-list-with-SVG.patch added

- File 0004-Replace-warning-icon-in-tracker-list-with-SVG.patch added

- File 0005-Replace-warning-icon-in-issue_transitiont-with-SVG.patch added

I attach a patch for the replacementin #note-5.

2025-05-01 2/3



#7 - 2024-12-11 07:38 - Marius BĂLTEANU

- Category set to UI

- Status changed from New to Resolved

- Resolution set to Fixed

Committed, thanks!

#8 - 2024-12-11 07:39 - Marius BĂLTEANU

- Subject changed from Replace warning icon in watcher list with SVG to Replaces warning icon with SVG in watcher list and workflow warnings

#9 - 2024-12-11 07:39 - Marius BĂLTEANU

- Target version changed from 6.0.3 to 6.0.2

#10 - 2024-12-11 08:39 - Marius BĂLTEANU

- Status changed from Resolved to Closed
